=== debian/changelog ===
libopenhmd (0.2.0-5) unstable; urgency=medium

  * ITA package. Closes (#912303)
  * d/control: update Maintainer field
  * d/control: update Standards-Version field. Update to 4.2.1
  * d/compat: update from 9 to 11
  * d/copyright: update the debian files copyright field

 -- Emmanuel Arias <emmanuelarias30@gmail.com>  Sat, 01 Dec 2018 23:09:08 -0300

libopenhmd (0.2.0-4) unstable; urgency=medium

  [ Simon McVittie ]
  * d/tests/build: Add a simple compile/link/execute test
  * Make libopenhmd-dev depend on libhidapi-dev so the pkg-config
    metadata will work (Closes: #911258)
  * d/p/Autoconf-do-not-hard-code-the-hidapi-dependency-in-the-pk.patch,
    d/p/pkg-config-Substitute-the-correct-libdir-includedir.patch:
    Further fixes to the pkg-config metadata

  [ Balint Reczey ]
  * debian/control: Point Vcs-* to Salsa.
    Thanks to Simon McVittie for migrating the repository

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 29 Oct 2018 21:44:08 +0100

libopenhmd (0.2.0-3) unstable; urgency=medium

  * Fix filename in debian/watch
  * Pass -lpthread in LDFLAGS on kfreebsd-* (Closes: #845684)

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 12 Dec 2016 21:14:31 +0100

libopenhmd (0.2.0-2) unstable; urgency=medium

  * Build-depend on libsdl1.2-dev instead of libsdl2-dev

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 25 Nov 2016 19:56:45 +0100

libopenhmd (0.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #845272)

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 21 Nov 2016 23:01:25 +0000
