=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# libopenhmd.so uses sincosf and friends
DEB_LDFLAGS_MAINT_APPEND = -lm

# fix FTBFS on kfreebsd-*
ifneq (,$(findstring kfreebsd,$(DEB_HOST_ARCH)))
DEB_LDFLAGS_MAINT_APPEND += -lpthread
endif

export DEB_LDFLAGS_MAINT_APPEND

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-openglexample
