=== debian/changelog ===
libopenhmd (0.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unnecessary build dependency on SDL1 (Closes: #1038100)
  * Recommends "xr-hardware" for udev rules (Closes: #955424)
  * Rules-Requires-Root: no
  * Update standards version to 4.6.2, no further changes needed.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libopenhmd-dev, libopenhmd0: Add Multi-Arch: same. (Closes: #988247)
  * Add upstream metadata
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.

 -- Alexandre Detiste <tchet@debian.org>  Tue, 05 Dec 2023 23:44:31 +0100

libopenhmd (0.3.0-1) unstable; urgency=medium

  * New upstream version 0.3.0
  * Bump Standards-Versions to 4.4.0 (from 4.2.1)
  * Remove Autoconf-do-not-hard-code-the-hidapi-dependecy-in-the-pk patch

 -- Emmanuel Arias <emmanuelarias30@gmail.com>  Mon, 05 Aug 2019 19:35:43 +0000
