=== debian/control ===
--- 
+++ 
@@ -2,20 +2,22 @@
 Maintainer: Emmanuel Arias <emmanuelarias30@gmail.com>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11),
-               libgl1-mesa-dev | libgl-dev,
+Build-Depends: debhelper-compat (= 13),
+               libgl-dev,
                libglew-dev,
                libhidapi-dev,
-               libsdl1.2-dev
-Standards-Version: 4.2.1
+               pkgconf
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/libopenhmd
 Vcs-Git: https://salsa.debian.org/debian/libopenhmd.git -b master
 Homepage: http://openhmd.net/
+Rules-Requires-Root: no
 
 Package: libopenhmd0
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Multi-Arch: same
 Description: API and drivers for immersive technology (shared library)
  OpenHMD aims to provide a Free and Open Source API and drivers for
  immersive technology, such as head mounted displays with built in head
@@ -29,6 +31,8 @@
 Depends: libhidapi-dev,
          libopenhmd0 (= ${binary:Version}),
          ${misc:Depends}
+Recommends: xr-hardware
+Multi-Arch: same
 Description: API and drivers for immersive technology (development files)
  OpenHMD aims to provide a Free and Open Source API and drivers for
  immersive technology, such as head mounted displays with built in head
