=== debian/rules ===
--- 
+++ 
@@ -17,5 +17,4 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-openglexample
-
+	dh_auto_configure -- --enable-static=no
