=== debian/tests/control ===
Tests: build
Restrictions: superficial
Depends: build-essential, libopenhmd-dev, pkgconf
