=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libopenhmd_$1.tar.gz%" \
   https://github.com/OpenHMD/OpenHMD/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
